# Projet Express Typescript Typeorm

## Contenu
* Typeorm (relations, ManyToMany)
* File Upload & Resize (multer & sharp)
* Fixtures (faker)

## How To Use
1. Run `npm i` command
2. Create a database
3. Modify or create DATABASE_URL in .env
4. Run `npm start` command
5. Run `npm test` for tests (create fixtures if needed)

## Charger les fixtures 
Exécuter `npx ts-node bin/fixtures.ts` pour charger les données de test dans votre base de donnée de dév